/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; version 2 of the
 * License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */
 
#ifndef _LF_POPUP_H_
#define _LF_POPUP_H_

 #include "mforms/popup.h"

 #include "lf_base.h"

 namespace mforms {
 namespace gtk {

 class PopupImpl : public ObjectImpl
 {
  protected:
   int _fixed_width, _fixed_height;
   Gtk::EventBox *_darea;

   bool repaint(GdkEventExpose *event, ::mforms::Popup *self);
   void mouse_cross_event(GdkEventCrossing *event, ::mforms::Popup *self);
   void mouse_button_event(GdkEventButton *event, ::mforms::Popup *self);
   void mouse_move_event(GdkEventMotion *event, ::mforms::Popup *self);
   void set_size(int, int);
   
   static bool create(::mforms::Popup *self);
   static void set_needs_repaint(::mforms::Popup *self);
   static void set_size(::mforms::Popup *, int, int);
   static int show(::mforms::Popup *, int, int);
   static MySQL::Geometry::Rect get_content_rect(::mforms::Popup *);

  public:
   PopupImpl(::mforms::Popup *self);
   static void init();
 };

 };
};


#endif /* _LF_POPUP_H_ */
 
